Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlBatchWriter

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordFilter
          com.servingxml.components.sql.SqlBatchWriter

All Implemented Interfaces:
  RecordFilter, RecordReader, RecordWriter

    public class SqlBatchWriter

extends AbstractRecordFilter
implements RecordWriter

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordWriter
`RecordWriter.DefaultDiscardWriter, RecordWriter.NullRecordWriter`

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordWriter
`DEFAULT_DISCARD_WRITER, NULL`

Fields inherited from interface com.servingxml.components.recordio.RecordFilter
`NULL`

Constructor Summary
`SqlBatchWriter(JdbcConnectionPool connectionPool, SqlBatchUpdateOperation sqlUpdater, int batchSize)`

Method Summary
`void` | `close()`
`void` | `endRecordStream(ServiceContext context, Flow flow)`
`void` | `startRecordStream(ServiceContext context, Flow flow)`
`void` | `writeRecord(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordFilter
`discardRecord, getDiscardWriter, getExpirable, getKey, getRecordReader, getRecordWriter, readRecords, setDiscardWriter, setRecordReader, setRecordWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlBatchWriter

    public SqlBatchWriter(JdbcConnectionPool connectionPool,
                          SqlBatchUpdateOperation sqlUpdater,
                          int batchSize)

Method Detail

### startRecordStream

    public void startRecordStream(ServiceContext context,
                                  Flow flow)

  Specified by:
    `startRecordStream` in interface `RecordWriter`
  Overrides:
    `startRecordStream` in class `AbstractRecordFilter`

### endRecordStream

    public void endRecordStream(ServiceContext context,
                                Flow flow)

  Specified by:
    `endRecordStream` in interface `RecordWriter`
  Overrides:
    `endRecordStream` in class `AbstractRecordFilter`

### close

    public void close()

  Specified by:
    `close` in interface `RecordWriter`
  Overrides:
    `close` in class `AbstractRecordFilter`

### writeRecord

    public void writeRecord(ServiceContext context,
                            Flow flow)

  Specified by:
    `writeRecord` in interface `RecordWriter`
  Overrides:
    `writeRecord` in class `AbstractRecordFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD